org.eclipse.emf.cdo.spi.common.branch

## Class InternalCDOBranchManager.BranchLoader.SubBranchInfo

- java.lang.Object
- - org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader.SubBranchInfo

- Enclosing interface:
    InternalCDOBranchManager.BranchLoader

      public static final class InternalCDOBranchManager.BranchLoader.SubBranchInfo
      extends Object

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    3.0
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubBranchInfo(CDODataInput in)`
    `SubBranchInfo(int id, String name, long baseTimeStamp)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getBaseTimeStamp()`
    `int` | `getID()`
    `String` | `getName()`
    `void` | `write(CDODataOutput out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubBranchInfo

          public SubBranchInfo(int id,
                               String name,
                               long baseTimeStamp)

    - #### SubBranchInfo

          public SubBranchInfo(CDODataInput in)
                        throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### write

          public void write(CDODataOutput out)
                     throws IOException

      Throws:
        `IOException`

    - #### getID

          public int getID()

    - #### getName

          public String getName()

    - #### getBaseTimeStamp

          public long getBaseTimeStamp()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html